echo "Giaz Startup"

export TMPDIR=/mnt/.psplash

line=$(head -n 1 /home/root/version)

/usr/bin/psplash-write "MSG $line"

#####disable framebuffer blank timeout
echo 0 > /sys/class/graphics/fbcon/cursor_blink
echo -e '\033[9;0]' > /dev/tty1  

#####calibrate touch if needed
export TSLIB_TSDEVICE="/dev/input/touchscreen0"


if [ ! -f /etc/pointercal ]; then
	echo "Start calibration sequence..."
	ts_calibrate
else
	echo "Calibration file present..."
fi

$(mkdir /media/usb-drive)                                            
$(mount /dev/sda1 /media/usb-drive/)                                      
$(rm /home/root/giaz_fw)                                                  

#command=`ls -t /media/usb-drive/ | grep '^new_fw' | grep 'tar.gz$' | awk '{if(NR<2)print}'`
#echo $command
#$(mkdir /media/usb-drive/new_fw_test)
#$(tar zxvf /media/usb-drive/$command -C /media/usb-drive/new_fw_test/)


                         
can_update=true
command=`mount | grep -c /media/usb-drive`  
if [ $command -le 0 ]; then
  $(mount /dev/sda /media/usb-drive/)
  command=`mount | grep -c /media/usb-drive`
  if [ $command -le 0 ]; then
    can_update=false               
  fi
fi

if [ "$can_update" != "true" ]; then
  echo "Check sdb1"
  $(mount /dev/sdb1 /media/usb-drive/)
  can_update=true
  command=`mount | grep -c /media/usb-drive`                                                                                                                                                                               
  if [ $command -le 0 ]; then                                                                                                                                                                                  
    echo "Check sdb"
    $(mount /dev/sdb /media/usb-drive/)                                                                                                                                                                        
    command=`mount | grep -c /media/usb-drive`                                                                                                                                                                              
    if [ $command -le 0 ]; then                                                                                                                                                                                
      can_update=false                                                                                                                                                                                         
    fi                                                                                                                                                                                                         
  fi 
fi

if $can_update ; then
  echo "USB Mounted" > /media/usb-drive/text
  can_update=false
  echo "Check Firmware Update"
   $(mkdir /media/usb-drive/new_update)
# command=`ls /media/usb-drive/ | grep -c new_fw.tar.gz`             

	command=`ls -t /media/usb-drive/ | grep '^new_sw' | awk '{if(NR<2)print}' | wc -c`

  if [ $command -gt 0 ]; then    
    command=`ls -t /media/usb-drive/ | grep '^new_sw' | awk '{if(NR<2)print}'`
		if [ $(tar zxvf /media/usb-drive/$command -C /media/usb-drive/new_update/ | wc -l) -gt 0 ]; then
			can_update=true         
    	$(/usr/bin/psplash-write "MSG WAIT SYSTEM UPGRADE")
			echo 'GZ'
		else
			if [ $(tar tJf /media/usb-drive/$command -C /media/usb-drive/new_update/ | wc -l) -gt 0 ]; then
				can_update=true         
    		$(/usr/bin/psplash-write "MSG WAIT SYSTEM UPGRADE")		    
				echo 'XZ'
			fi
		fi  
  fi

  if $can_update ; then               
        command=`ls /media/usb-drive/new_update/ | grep -c giaz_sw`
        if [ $command -gt 0 ]; then
            $(mv /media/usb-drive/new_update/giaz_sw /home/root/giaz )
        fi
        #command=`ls /media/usb-drive/new_update/ | grep -c giaz_sw`
        #if [ $command -gt 0 ]; then
        #    $(mv /media/usb-drive/new_update/giaz_sw /home/root/giaz_sw )
        #fi
        $(cp -rf /media/usb-drive/new_update/* /home/root/ )
        $(rm -R  /media/usb-drive/new_update)
	sync
  fi
fi
umount /media/usb-drive
sync
export QT_QPA_FB_TSLIB=1

/home/root/giaz -platform linuxfb &


